package com.tzld.piaoquan.recommend.server.common.enums;

/**
 * AppType
 * 目前只维护 0 1 4 13 4个应用
 * @author supeng
 * @date 2020/08/19
 */
public enum AppTypeEnum {
    /**
     * vlog小程序
     */
    VLOG(0, "VLOG"),
    /**
     * 票圈视频APP
     */
    QINGQUAPP(1, "轻趣视频APP"),
    SMILE(2, "搞笑视频"),
    LOVEMOVIE(3, "爱电影"),
    /**
     * 票圈视频小程序
     */
    LOVELIVE(4, "爱生活"),
    /**
     * 长视频小程序
     */
    LONGVIDEO(5, "长视频"),
    SHORTVIDEO(6, "短视频"),
    SURPRISE(7, "惊奇视频"),
    PC(8,"PC端"),
    CIRCLEAPP(9,"票圈长视频APP"),
    LONGVIDEOLITE(10,"票圈长视频lite"),
    /**
     * 票圈相册小程序
     */
    ALBUM(11,"票圈相册"),
    H5(12,"H5端"),
    /**
     * 极速版APP
     */
    APPSPEED(13,"APP极速"),
    SMALLSPEED(14,"小程序极速"),
    ADMIN_CRAWLER(888888,"后台-爬虫"),
    OTHERS(999999,"其他的调用方，比如后台管理系统");

    private Integer code;
    private String desc;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    private AppTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static AppTypeEnum valueOf( Integer code ){
        if(code == null) {
            return null;
        }
        for( AppTypeEnum appTypeEnum :AppTypeEnum.values()){
            if( appTypeEnum.getCode().intValue() == code.intValue() ){
                return appTypeEnum;
            }
        }
        return null;
    }
}
